#!/bin/sh
##############################################################
# pre-process
##############################################################
LINK_EDGE_HOME=/linkedge
DPS_HOME=$LINK_EDGE_HOME/gateway/build/bin/dps
DPS_DATA=$LINK_EDGE_HOME/run/dps
DPS_SOCKET_PATH=/dev/socket
FC_ROOT=$LINK_EDGE_HOME/gateway/build/bin/fc-runtime
LD_SO_PRELOAD=/etc/ld.so.preload

##############################################################
# Replace DPS sandbox for fc-base
##############################################################
deploy_for_fc()
{
  echo "replace DPS sandbox for fc-base..."
  cp -n $FC_ROOT/do-start-fc.sh $FC_ROOT/do-start-fc.sh.origin
  cp $DPS_HOME/script/do-start-fc-sandbox.sh $FC_ROOT/do-start-fc.sh
  echo "replace DPS sandbox for fc-base done."
}

##############################################################
# Make dpsd as a LinkEdge service
##############################################################
deploy_linkedge_service()
{
  service auditd stop
  systemctl disable auditd
  echo "Make dpsd as a LinkEdge service ..."
  mkdir -p $DPS_SOCKET_PATH
  mkdir -p $DPS_DATA
  cp $DPS_HOME/script/startDPS.sh $LINK_EDGE_HOME/gateway/build/bin/startDPS.sh
  cp $DPS_HOME/script/stopDPS.sh $LINK_EDGE_HOME/gateway/build/bin/stopDPS.sh
  cp $DPS_HOME/script/dpsd.service $LINK_EDGE_HOME/gateway/build/service/dpsd.service
}

deploy_for_fc
deploy_linkedge_service
apply_dps_sepolicy

echo "#### DPS has been deployed to LE environment successfully"
